Skip to content

Title

Creating model

Autodesk fusion does not like when MacOS takes screenshot, especially when using tools. MacOS uses ctrl+cmd+3 to take a screenshot, and Autodesk uses ctrl and cmd to hide different aspects of the model, when using tools.

Thought about creating an object that rotates around its axis, where the axis has small divots that prevent it from moving. That kind of structure s harder to build with just reductive tools.

Sketching

Setup all expected variable before hand. These variables include:

Variable Description Value
deviceThickness The thickness of extruded triange.
deviceDiameter The that the device takes when rotating around its center axis. ballDiameter + 2mm
ballDiameter The size of the ball. 27 mm
axisDiameter The largest diameter of the axel. 2mm
clearance How much empty space there is between the axel and the body. 1.2mm

Created a triangle with construction lines with Inscribed polygon tool, with the diameter equal to deviceDiameter.

Used conic line tool to connect the points of each triangle to each other, with the curving target at the center of the triangle. Set the rho value of the curvature to triangleCurvature = 0.5. I had no reason to set this to any specific value, 0.5 just looked reasonable.

Had to redo the conic lines, because the end point were way too sharp. Redid the lines so that they did not meet at the corners, but ended few millimeters before the corner, and joined them with another line created with line tool. Then created a dimension with cornerWidth = 5mm to make sure that each corner is positioned exaclty the same.

Drew a circle in the middle with the size of axisDiameter and another circle on the same spot with the size of axisDiameter + clearance.

Extruding

Extruded the main body to the size of deviceThickness. At first I was Surface extrusion (which extruded only the walls and not the whole solid), and I was completely baffled as to what was wrong, and none of the results from google seemed to help at all. At some point I noticed my error, and used to correct extrude command from the Solid tab.

I needed a small track along which the ball would roll and not slip sideways. I played around with some tools in an attempt to create a curved track. My main failed attempt was with Sweep tool with the settings to Cut from existing body, but I never managed to get it aligned properly. Or even cut the shape in a controllable fashion.

I then tried out Modify -> Draft tool to create a triangular divot. I placed a surface parallel to the upper edge, and offset it by deviceThickness / 2 (I do not remember which tool I used for this), so that it lied in the middle of the device.

Then in the Draft settings I used:

Setting Value
Type Parting Line
Pull Direction Top face
Parting tool Newly generated surface
Faces All six side faces
Draft Sides Symmetric
Angle taperingAngle = 5 deg

The axel

Started by extruding the small circle in the center sketch with two sided extrusion, above with deviceThickness * 1.5 and the elow with deviceThickness 0.5. I had to do it this way, as the main body was extruded in only one dimension, and centering the axel needed to be above the origin at half the deviceThickness.

Played around a bit with the Draft tool again, to see if I could do the teeth with it. Did not find a way. So I scrapped to previous axel design, and went to a completely new one.

Started a new sketch, this time along the z-axis. Drew a rectangle with its left side constrained to midpoint to origin, distance between origin and top left corner to deviceThickness and width of axisDiameter /2. These were done so that it could create the proper shape with rotation.

Created a two small divots (with line tool) in each side center of the axel to make way to the teeth that will lock the axel in place. Two teeth will hopefully make it more stable. Created a couple of new variables: axisDivotDistanceFromCenter, axisDivotLength, and axisSmallDiameter and gave them somewhat random values. Created dimensions for each lines: distance between the bottom of the divot and origin in y-axis was axisDivotDistanceFromCenter and in x-axis it was axisSmallDiameter / 2. The distance between the divots edges and the bottom along the y-axis was set to axisDivotLength / 2 for each of them.

Finished the sketch, and revolved the axel sketch 360 degrees along z-axis. For some reason it did not select both the top and bottom parts of the axel sketch for revolving automatically, so they needed to be both selected.

At this point I still had the old axel hole left in the body, so I needed to remove it. Went to the first sketch, and removed the center circle from it. Was expecting some weirdness from the software, as I had done extruded a solid around it before, but it managed it fine.

Based on this discussion, I used Combine tool with cut and keep tools settings to cut the shape of the axel from the main body. Then hid the body, selected all the faces of the hole (with long left click, to select hidden faces). Annoyingly, the faces of the hole were separated into 7 segments, two pieces per divot and the three straight segments. With all the faces selected, I selected Offset Face under Modify and offset them by clearance.

Then after discussing with the teacher, I made the axel a bit thicker, to make sure that it wont break.

Now I had a finished the model.

Printing

First exported the model from Autodesk Fusion in .stl format. According to this discussion, that was the only file type supported by Cura.

Devided to use one of the Mobile Fablab printers in our Fablab: Creality Ender 3 v2 with 0.6mm nozzle. As material I used PLA plastic with recommended nozzle temperature around 200°C and bed temperature of 60°C. Used Cura to slice the 3D model, and generated normal supports around the object, as almost every part of the obect is in the air. The supports supported every part of the object. I increased the infill from 20% to 40% for structural stability, as the 1 inch steel balls weights 81g, and will wreck havoc on weaker parts. Even 40% is quite low.

I also added brim around the object, as it did not have a lot of surface area touching the bed.

I also flipped the model 90° to add structural stability to the axel. In this orientation the axel will be printed with lines along the whole length of it, instead of just small circles that are joined together with heat.